LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XApproveActionListener Interface Referencepublished

can be implemented to listen and probably veto actions to be performed on components. More...

`import"XApproveActionListener.idl";`

Inheritance diagram for XApproveActionListener:

## Public Member Functions
boolean | approveAction ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when an action is performed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

can be implemented to listen and probably veto actions to be performed on components.

An example for an action would be the click of a CommandButton.

See also
  XApproveActionBroadcaster
  com::sun::star::form::component::CommandButton
  com::sun::star::form::control::CommandButton

## Member Function Documentation

## ◆ approveAction()

boolean approveAction | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is invoked when an action is performed.

Parameters

  aEvent | A descriptor specifying the source of the event.

Returns
  `TRUE` when the action is permitted, otherwise `FALSE`.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XApproveActionListener.idl